#### BIN

#### Synopsis

    HELP:   Format elements as binary data (block/records)
    TYPE:   OBJECT
    SYNTAX: BIN(BUFSIZ=num,RECCNT=num,REGEXP())

#### Description

The object "format binary" simply concatenates the data of each element to a binary stream. If the elements are records, then the record length and other attributes are still available in the data list.

#### Arguments

- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation [65536]`
- `NUMBER: RECCNT=num - Initial amount of records for preallocation [128]`